diff -r 65c802402429 code/ryzom/CMakeLists.txt
--- a/code/ryzom/CMakeLists.txt	Mon May 10 20:28:54 2010 -0500
+++ b/code/ryzom/CMakeLists.txt	Tue May 11 09:56:16 2010 +0200
@@ -13,12 +13,17 @@
 # Load some macros.
 SET(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/CMakeModules;${CMAKE_MODULE_PATH}")
 INCLUDE(CMakeModules/nel.cmake)
+INCLUDE(CMakeModules/ryzom.cmake)
 INCLUDE(CMakeModules/ConfigureChecks.cmake)
 
 #-----------------------------------------------------------------------------
 # Force out of source builds.
 CHECK_OUT_OF_SOURCE()
 
+#-----------------------------------------------------------------------------
+# Set ryzom default options
+RY_SETUP_DEFAULT_OPTIONS()
+
 IF(WIN32)
   SET(CMAKE_INCLUDE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../3rdParty/include;${CMAKE_INCLUDE_PATH}")
   SET(CMAKE_LIBRARY_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../3rdParty/lib;${CMAKE_LIBRARY_PATH}")
@@ -77,7 +82,11 @@
 
 FIND_PACKAGE(Threads REQUIRED)
 FIND_PACKAGE(LibXml2 REQUIRED)
-FIND_PACKAGE(Lua50 REQUIRED)
+IF(WITH_LUA51)
+  FIND_PACKAGE(Lua51 REQUIRED)
+ELSE(WITH_LUA51)
+  FIND_PACKAGE(Lua50 REQUIRED)
+ENDIF(WITH_LUA51)
 FIND_PACKAGE(CURL REQUIRED)
 FIND_PACKAGE(Libwww)
 FIND_PACKAGE(X11)
@@ -132,6 +141,10 @@
 NL_SETUP_BUILD_FLAGS()
 
 ADD_SUBDIRECTORY(common)
-ADD_SUBDIRECTORY(client)
-ADD_SUBDIRECTORY(tools)
+IF(WITH_CLIENT)
+  ADD_SUBDIRECTORY(client)
+ENDIF(WITH_CLIENT)
+IF(WITH_TOOLS)
+  ADD_SUBDIRECTORY(tools)
+ENDIF(WITH_TOOLS)
 
diff -r 65c802402429 code/ryzom/CMakeModules/ryzom.cmake
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/code/ryzom/CMakeModules/ryzom.cmake	Tue May 11 09:56:16 2010 +0200
@@ -0,0 +1,5 @@
+MACRO(RY_SETUP_DEFAULT_OPTIONS)
+  OPTION(WITH_CLIENT      "Build Ryzom client"                                    ON)
+  OPTION(WITH_TOOLS       "Build Ryzom tools"                                     ON)
+  OPTION(WITH_LUA51       "Lua50 / Lua51 switch"                                  OFF)
+ENDMACRO(RY_SETUP_DEFAULT_OPTIONS)
